Skip to main content
Resource Center/Hardware/Host Operations/PCI Device Operations
GETPCI Device OperationsSince 3.5.0SynchronousAuth Required

GetMdevDeviceSpecCandidates

GetMdevDeviceSpecCandidates

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Query Parameters

Request Inputs

Query Parameters

  • clusterUuidsList

    Optional. The cluster UUID list.

  • hostUuidString

    Optional. The host UUID.

  • vmInstanceUuidString

    Optional. The VM instance UUID.

  • vmInstanceUuidsList

    Optional. The VM instance UUID list.

  • typesList

    Optional. The MDEV device types.

Responses

200 OK

On success, this API returns the following response structure.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventoriesListRequired

    See inventories.

    • uuidStringRequired

      The resource UUID.

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • specificationStringRequired

      The specification details.

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • typeMdevDeviceTypeRequired

      See type.

      • GPU_Video_ControllerMdevDeviceTypeRequired

        The GPU video controller.

    • stateMdevDeviceSpecStateRequired

      See state.

      • EnabledMdevDeviceSpecStateRequired

        The MDEV device specification is enabled.

      • DisabledMdevDeviceSpecStateRequired

        The MDEV device specification is disabled.

Endpoint

GET/zstack/v1/mdev-device-specs/candidates

/zstack/v1/mdev-device-specs/candidates

Operation ID

GetMdevDeviceSpecCandidates

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/mdev-device-specs/candidates?clusterUuids=<clusterUuids>&hostUuid=<hostUuid>&vmInstanceUuid=<vmInstanceUuid>&vmInstanceUuids=<vmInstanceUuids>&types=<types>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": [ { "uuid": "886c86dcca0a4f6696cf390c08d3e551", "name": "GRID_M60-2A", "specification": "{Max Resolution\u003d1920*1080, GRID License\u003dGRID-Virtual-Apps,3.0, Instance Number\u003d4, Display Heads\u003d4, Vendor\u003dNVIDIA, Frame Rate Limit\u003d60FPS, Name\u003dGRID_M60-2A, RAM\u003d2048MB}", "type": "GPU_Video_Controller", "state": "Enabled", "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] }

Change History

This API has no change history records yet.

View all change history